# Nurse & Doc Front End Test Task - Weather

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

## Overview

The goal of this project is to create a React app to show the current weather
in a given city. The user should be able to enter the city name and they you should
show the current weather for the named city. If there are multiple cities found
that match the entered city name, the user should be presented with a list of
choices. After selecting a choice, the current weather for the choice should
be retrieved and shown to the user.

## API

The weather API to use in order to get the data is [OpenWeatherMap](https://openweathermap.org/).
In order to use the API, you must create a free API key. Note that the API key takes about an
hour to activate, so be sure to sign-up for the key in advance of doing the task.
Please review the [API](https://openweathermap.org/api) to see how to retrieve
the current weather.

## Instructions

**Please limit the time you spend on this task to 4 hours**

*It is fine to complete faster than 4 hours. If you have spent 4 hours on the
project and it is not complete, please stop and submit the work you have completed.*

- To start fork the repo [here](https://gitlab.com/matt.kendall/weather)
- This is a basic project bootstrap using create-react-app. Feel free to change
the tooling if you are used to something different.
- Create the app and submit to a publicly available repository (GitHub, GitLab, etc)
- Send the link to the repo to matt.kendall@nurseanddoc.se. Please include some
reflections on the task when you submit: What did you think of doing it? What
would you have done if you have more time? What needs to be done to complete the
work you have done? What would you do differently next time?
- Styling: Feel free to use any library or approach you want for styling in the app
- UI: Design any UI you see fit. Unless, you want to be judged on the UI - you
will not be judged on the quality of your graphics - but there should be a clean
functional UI.
- Other libraries: Please use any other libraries or approach
to state management that you want or find useful.
